ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

TcFlatten

# Documentation

data FlattenMode #

Constructors

FM_FlattenAll |
FM_SubstOnly |

Instances

Outputable FlattenMode # |
Methods ppr :: FlattenMode -> SDoc # pprPrec :: Rational -> FlattenMode -> SDoc #

flatten :: FlattenMode -> CtEvidence -> TcType -> TcS (Xi, TcCoercion) #

flattenManyNom :: CtEvidence -> [TcType] -> TcS ([Xi], [TcCoercion]) #

unflatten :: Cts -> Cts -> TcS Cts #